
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : pro-1varstat-menu.scm
;; DESCRIPTION : pro-1varstat menu
;; COPYRIGHT   : Emmanuel Corcelle (corcelle at gmail dot com)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; BASED ON    : giac-menus.scm
;; COPYRIGHT   : (C) 1999  Bernard Parisse and Joris van der Hoeven
;;
;; This software falls under the GNU general public license version 3 or later.
;; It comes WITHOUT ANY WARRANTY WHATSOEVER. For details, see the file LICENSE
;; in the root directory or <http://www.gnu.org/licenses/gpl-3.0.html>.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(texmacs-module (pro-1varstat-menu))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Insert professor primitive
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (professor-cursor-pos l)
  (cond ((null? l) 0)
	((null? (cdr l)) 1)
	((and (== (car l) #\() (== (cadr l) #\))) 1)
	((and (== (car l) #\() (== (cadr l) #\,)) 1)
	((and (== (car l) #\,) (== (cadr l) #\))) 1)
	((and (== (car l) #\,) (== (cadr l) #\,)) 1)
	(else (+ (professor-cursor-pos (cdr l)) 1))))

(define (professor-insert s)
  (insert-go-to s (list (professor-cursor-pos (string->list s)))))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; pro- menu
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(menu-bind pro-1varstat-menu

  (->"Statistiques a une variable"

	("Tableau" 
	  (professor-insert "\\\\begin{pro-tableu}{1} ~ ")
	  (insert-return)
	  (professor-insert "[0,5,10,15,20,25,30],    <liste_X> ~ ")
	  (insert-return)
	  (professor-insert "[17,21,25,30,36,42,40]   <Effectifs_E> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-tableu}"))

	("Parametres de la serie" 
	  (professor-insert "\\\\begin{pro-1varstat}{1} ~ ")
	  (insert-return)
	  (professor-insert "[0,5,10,15,20,25,30],     <liste_X> ~ ")
	  (insert-return)
	  (professor-insert "[17,21,25,30,36,42,40]    <Effectifs_E> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-1varstat}"))

	("Diagramme en boites de la serie" 
	  (professor-insert "\\\\begin{pro-moustache}{1} ~ ")
	  (insert-return)
	  (professor-insert "[0,5,10,15,20,25,30],    <liste_X> ~ ")
	  (insert-return)
	  (professor-insert "[17,21,25,30,36,42,40],  <Effectifs_E> ~ ")
	  (insert-return)
	  (professor-insert "0,30,                    <xmin,xmax> ~ ")
	  (insert-return)
	  (professor-insert "2,                       <1cm=ux> ~ ")
	  (insert-return)
	  (professor-insert "5,                       <ecart_legende_x> ~ ")
	  (insert-return)
	  (professor-insert "1,                       <ecart_grille_x> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Diagramme en bo@^ite\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"couleur-dessin\",\"bleu\"]")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-moustache}"))

	("Diagramme en batons de la serie" 
	  (professor-insert "\\\\begin{pro-batons}{1} ~ ")
	  (insert-return)
	  (professor-insert "[0,5,10,15,20,25,30,35,40],    <liste_X> ~ ")
	  (insert-return)
	  (professor-insert "[17,21,25,30,36,42,40,34,25],  <liste_Y> ~ ")
	  (insert-return)
	  (professor-insert "-10,50,10,50,              <xmin,xmax,ymin,ymax> ~ ")
	  (insert-return)
	  (professor-insert "4,5,                       <1cm=ux,1cm=uy> ~ ")
	  (insert-return)
	  (professor-insert "10,                        <ecart_legende_y> ~ ")
	  (insert-return)
	  (professor-insert "2,                         <ecart_grille_y> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Diagramme en b@^atons\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"couleur-dessin\",\"vert\"]")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-batons}"))

	("Diagramme en batons et ecarts-types" 
	  (professor-insert "\\\\begin{pro-batons}{2} ~ ")
	  (insert-return)
	  (professor-insert "[0,5,10,15,20,25,30,35,40],    <liste_X> ~ ")
	  (insert-return)
	  (professor-insert "[17,21,25,30,36,42,40,34,25],  <liste_Y> ~ ")
	  (insert-return)
	  (professor-insert "-10,50,10,50,              <xmin,xmax,ymin,ymax> ~ ")
	  (insert-return)
	  (professor-insert "4,5,                       <1cm=ux,1cm=uy> ~ ")
	  (insert-return)
	  (professor-insert "10,                        <ecart_legende_y> ~ ")
	  (insert-return)
	  (professor-insert "2,                         <ecart_grille_y> ~ ")
	  (insert-return)
	  (professor-insert " [ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"ecart-type\",2], ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Diagramme en b@^atons avec @'ecarts-types\"] ~ ")
	  (insert-return)
	  (professor-insert " ] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-batons}"))

	("Nuage de points et lissages par moyennes mobiles" 
	  (professor-insert "\\\\begin{pro-lissage}{1} ~ ")
	  (insert-return)
	  (professor-insert "[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,
19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36], // liste X ~ ")
	  (insert-return)
	  (professor-insert "[18.8,18.91,18.9,19.4,19.22,19.06,19.33,19.03,19.41,19.67,19.69,19.57,19.2,19.49,19.7,19.8,20.37,20.33,
20.32,20.46,20.33,20.34,20.4,20.0,20.4,20.4,20.5,20.2,20.21,20.61,20.61,21.25,21.63,21.42,21,20.9], // liste Y ~ ")
	  (insert-return)
	  (professor-insert "0,36,18,22, <xmin, xmax,ymin,ymax> ~ ")
	  (insert-return)
	  (professor-insert "3,0.5,      <1cm=ux,1cm=uy> ~ ")
	  (insert-return)
	  (professor-insert "3,1,        <ecart_legende_x,ecart_legende_y> ~ ")
	  (insert-return)
	  (professor-insert "3,1,        <ecart_grille_x,ecart_grille_y> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Lissage par moyennes mobiles centr@'ees\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"mmc\",<ordre=>7,\"rouge\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"texte-libre\",[0,21.5],\"ordre 7\",\"rt\",\"rouge\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"mmc\",<ordre=>10,\"orange\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"texte-libre\",[0,21],\"ordre 10\",\"rt\",\"orange\"] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-lissage}"))

	("Polygone correspondant a une serie chronologique" 
	  (professor-insert "\\\\begin{pro-lissage}{2} ~ ")
	  (insert-return)
	  (professor-insert "[1955,1963,1970,1979,1988,1993,1995,1997,2000], <liste_X> ~ ")
	  (insert-return)
	  (professor-insert "[2308,1918,1587,1264,1017,801,735,680,664],     <liste_Y> ~ ")
	  (insert-return)
	  (professor-insert "1950,2000,600,2400, <xmin,xmax,ymin,ymax> ~ ")
	  (insert-return)
	  (professor-insert "4,200,              <1cm=ux,1cm=uy> ~ ")
	  (insert-return)
	  (professor-insert "5,100,              <ecart_legende_x,ecart_legende_y> ~ ")
	  (insert-return)
	  (professor-insert "1,100,              <ecart_grille_x,ecart_grille_y> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"mmc\",1,\"rouge\"] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-lissage}"))

	("Polygone des frequences cumulees croissantes, quartiles et mediane" 
	  (professor-insert "\\\\begin{pro-cumul}{1} ~ ")
	  (insert-return)
	  (professor-insert "[150,160,170,175,180,200], <liste_des_bornes_des_classes> ~ ")
	  (insert-return)
	  (professor-insert "[100,400,250,300,200],     <liste_effectifs_des_classes> ~ ")
	  (insert-return)
	  (professor-insert "13,9,     <largeur_et_hauteur_de_la_figure_en_cm> ~ ")
	  (insert-return)
	  (professor-insert "150,205,  <xmin,xmax> ~ ")
	  (insert-return)
	  (professor-insert "5,10,     <ecart_legende_x,ecart_legende_y> ~ ")
	  (insert-return)
	  (professor-insert "5,10,     <ecart_grille_x,ecart_grille_y> ~ ")
	  (insert-return)
	  (professor-insert "2,  <nb_de_chiffres_apres_la_virgule_dans_l_affichage_des_quartiles> ~ ")
	  (insert-return)
	  (professor-insert "[[\"quartiles\",1,1,1]] <on_rentre_1_ou_0_pour_voir_Q1,Me,Q3> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-cumul}"))

  )

)
