
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : pro-courbes.scm
;; DESCRIPTION : pro-courbes menu
;; COPYRIGHT   : Emmanuel Corcelle (corcelle at gmail dot com)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; BASED ON    : giac-menus.scm
;; COPYRIGHT   : (C) 1999  Bernard Parisse and Joris van der Hoeven
;;
;; This software falls under the GNU general public license version 3 or later.
;; It comes WITHOUT ANY WARRANTY WHATSOEVER. For details, see the file LICENSE
;; in the root directory or <http://www.gnu.org/licenses/gpl-3.0.html>.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(texmacs-module (pro-courbes-menu))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Insert professor primitive
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (professor-cursor-pos l)
  (cond ((null? l) 0)
	((null? (cdr l)) 1)
	((and (== (car l) #\() (== (cadr l) #\))) 1)
	((and (== (car l) #\() (== (cadr l) #\,)) 1)
	((and (== (car l) #\,) (== (cadr l) #\))) 1)
	((and (== (car l) #\,) (== (cadr l) #\,)) 1)
	(else (+ (professor-cursor-pos (cdr l)) 1))))

(define (professor-insert s)
  (insert-go-to s (list (professor-cursor-pos (string->list s)))))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; pro-courbes menu
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(menu-bind pro-courbes-menu

  (->"Courbes"

	("Tableau de valeurs" 
	  (professor-insert "\\\\begin{pro-tableval}{1} ~ ")
	  (insert-return)
	  (professor-insert "\"$x$\",\"$f(x)$\",    <entete_du_tableau> ~ ")
	  (insert-return)
	  (professor-insert "(2x+3)/(x+4),      <fonction> ~ ")
	  (insert-return)
	  (professor-insert "[\"auto\",0,10,2],   <[\"auto\",min,max,pas]_ou_[\"manuel\",valeurs]> ~ ")
	  (insert-return) 
	  (professor-insert "[\"arrondi\",3]      <exact,arrondi_ou_vide> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-tableval}"))

	("Repere" 
	  (professor-insert "\\\\begin{pro-repere}{1} ~ ")
	  (insert-return)
	  (professor-insert "0,5,      <xmin,xmax> ~ ")
	  (insert-return)
	  (professor-insert "9,13.5,   <ymin,ymax> ~ ")
	  (insert-return)
	  (professor-insert "14,6,     <largeur,hauteur_en_cm> ~ ")
	  (insert-return)
	  (professor-insert "1,1,      <ecart_entre_les_graduations> ~ ")
	  (insert-return)
	  (professor-insert ".25,.5,   <ecart_grille> ~ ")
	  (insert-return)
	  (professor-insert "[ <les_options_habituelles_(titres,point_libre,etc)> ~ ")
	  (insert-return)
	  (professor-insert " [\"grille\",\"millimetre\"],           <ou_plein_ou_pointille> ~ ")
	  (insert-return)
	  (professor-insert " // [\"grille\",\"hachure\",\"orange\"] ~ ")
	  (insert-return)
	  (professor-insert "] ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-repere}"))

	---

	("Courbe simple" 
	  (professor-insert "\\\\begin{pro-courbefn}{1} ~ ")
	  (insert-return)
	  (professor-insert "[x^2,\"bleu\",[-2,3,\"ff\"]], <expr.,couleur,opt.(intervalle,bornes)> ~ ")
	  (insert-return)
	  (professor-insert "-5,7,-2,10,       <xmin,xmax,ymin,ymax> ~ ")
	  (insert-return)
	  (professor-insert "1,1,1,1,1,1,      <ux,uy,cx,cy,gx,gy> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"base\"],         <pour_avoir_les_vecteurs_de_base> ~ ")
	  (insert-return)
	  (professor-insert " [\"texte-courbe\",-1.5,\"$({@cal C}_f)$\",\"llft\",\"bleu\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-droite\",\"$({@cal C}_f) : y=x^2$\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Exemple de figure\"], ~ ")
	  (insert-return)
	  (professor-insert "// [\"grille\",\"pointille\",\"gris_V\"],  <ou_millimetre_ou_plein> ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "  <_ux,uy_:_1cm_correspond_a_ux_ou_uy_selon_l_axe> ~ ")
	  (insert-return)
	  (professor-insert "  <_cx,cy_:_ecart_entre_deux_graduations> ~ ")
	  (insert-return)
	  (professor-insert "  <_gx,gy_;_ecart_entre_deux_lignes_du_quadrillage> ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-courbefn} ~ "))

	("Courbes multiples" 
	  (professor-insert "\\\\begin{pro-courbemulti}{3} ~ ")
	  (insert-return)
	  (professor-insert "[ <expressions,couleurs,optionnels(intervalle,bornes)> ~ ")
	  (insert-return)
	  (professor-insert " [(x^3-3*x-6)/(x+2),\"bleu\"], ~ ")
	  (insert-return)
	  (professor-insert " [(x-1)^2,\"rouge\"] ~ ")
	  (insert-return)
	  (professor-insert "], ~ ")
	  (insert-return)
	  (professor-insert "-2.5,10,-8,10, <xmin,xmax,ymin,ymax> ~ ")
	  (insert-return)
	  (professor-insert "1,1,1,1,1,1,   <ux,uy,cx,cy,gx,gy> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"base\"],     <pour_avoir_les_vecteurs_de_base> ~ ")
	  (insert-return)
	  (professor-insert " [\"texte-courbe\",<courbe_no>1,-1.3,\"$({@cal C}_f)$\",\"llft\",\"bleu\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"grille\",\"millimetre\"]  <ou_plein_ou_pointille> ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "  <_ux,uy_:_1cm_correspond_a_ux_ou_uy_selon_l_axe> ~ ")
	  (insert-return)
	  (professor-insert "  <_cx,cy_:_ecart_entre_deux_graduations> ~ ")
	  (insert-return)
	  (professor-insert "  <_gx,gy_;_ecart_entre_deux_lignes_du_quadrillage> ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-courbemulti} ~ "))

	("Courbes multiples et aires" 
	  (professor-insert "\\\\begin{pro-courbemulti}{2} ~ ")
	  (insert-return)
	  (professor-insert "[ <expression,couleur,optionnel(intervalle,bornes)> ~ ")
	  (insert-return)
	  (professor-insert " [x^2-2,\"rouge\"], ~ ")
	  (insert-return)
	  (professor-insert " [-(x-1)^2+3,\"bleu\"], ~ ")
	  (insert-return)
	  (professor-insert " [1,\"gris\",[0,1]] ~ ")
	  (insert-return)
	  (professor-insert "], ~ ")
	  (insert-return)
	  (professor-insert "-2,3,-3,4,             <xmin,xmax,ymin,ymax> ~ ")
	  (insert-return)
	  (professor-insert "0.5,0.5,1,1,0.5,0.5,   <ux,uy,cx,cy,gx,gy> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Aire entre deux courbes\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"point-courbe\",<courbe_no>1,-1,\"$A$\",\"lft\",\"noir\",[\"x\"]], ~ ")
	  (insert-return)
	  (professor-insert " [\"point-courbe\",<courbe_no>1,2,\"$B$\",\"rt\",\"noir\",[\"x\"]], ~ ")
	  (insert-return)
	  (professor-insert " [\"point-courbe\",<courbe_no>2,1,\"$S$\",\"top\",\"noir\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"texte-courbe\",<courbe_no>1,-1.5,\"$({@cal C}_f)$\",\"urt\",\"rouge\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"texte-courbe\",<courbe_no>2,-0.5,\"$({@cal C}_g)$\",\"ulft\",\"bleu\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"aire-sous-courbe\",<courbe_no>3,0,1,\"gris\",\"hachure\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"aire-entre-courbes\",<courbe_no>1,<courbe_no>2,-1,2,\"orange\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"valeur-aire-entre-courbes\",<courbe_no>1,<courbe_no>2,-1,2,[1,-1.5],\"${@cal A} @approx$\",\"rt\",\"orange\"]")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "  <_ux,uy_:_1cm_correspond_a_ux_ou_uy_selon_l_axe> ~ ")
	  (insert-return)
	  (professor-insert "  <_cx,cy_:_ecart_entre_deux_graduations> ~ ")
	  (insert-return)
	  (professor-insert "  <_gx,gy_;_ecart_entre_deux_lignes_du_quadrillage> ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-courbemulti} ~ "))

	("Courbe de Bezier" 
	  (professor-insert "\\\\begin{pro-courbebezier}{1} ~ ")
	  (insert-return)
	  (professor-insert "[[-10,10],[-8,3],[-4,12],[-2,0],[0,-10],[3,0],[5,8],[6,7],[8,12]], <liste_des_points> ~ ")
	  (insert-return)
	  (professor-insert "-11,9,     <xmin,xmax> ~ ")
	  (insert-return)
	  (professor-insert "-11,13,    <ymin,ymax> ~ ")
	  (insert-return)
	  (professor-insert "14,10,     <largeur,hauteur_en_cm> ~ ")
	  (insert-return)
	  (professor-insert "1,1,       <ecart_entre_les_graduations> ~ ")
	  (insert-return)
	  (professor-insert "1,1,       <ecart_grille> ~ ")
	  (insert-return)
	  (professor-insert "3,         <coefficient_de_tension> ~ ")
	  (insert-return)
	  (professor-insert "[ <les_options_habituelles_(titres,point_libre,etc.)> ~ ")
	  (insert-return)
	  (professor-insert "[\"croix\"], <croix__si_on_veut_marquer_les_points_de_controle> ~ ")
	  (insert-return)
	  (professor-insert "[\"courbure\",1,1] <courbure_aux_points_de_depart_et_arrivee> ~ ")
	  (insert-return)
	  (professor-insert "// [\"grille\",\"plein\",\"gris_VI\"] <pointille,millimetre> ~ ")
	  (insert-return)
	  (professor-insert "] ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-courbebezier}"))

	("Courbe semilog" 
	  (professor-insert "\\\\begin{pro-courbesemilog}{1} ~ ")
	  (insert-return)
	  (professor-insert "[ ~ ")
	  (insert-return)
	  (professor-insert " [x^2,\"bleu\"] ~ ")
	  (insert-return)
	  (professor-insert "], ~ ")
	  (insert-return)
	  (professor-insert "  -7,7,0.01,100, <xmin,xmax,ymin,ymax> ~ ")
	  (insert-return)
	  (professor-insert "  1,1,1,         <ux,cx,gx> ~ ")
	  (insert-return)
	  (professor-insert "  10,            <hauteur_du_dessin_en_cm> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "  [\"base\"],      <pour_avoir_les_vecteurs_de_base> ~ ")
	  (insert-return)
	  (professor-insert "  [\"texte-courbe\",<courbe_no>1,7,\"$x$\",\"ulft\",\"noir\"], ~ ")
	  (insert-return)
	  (professor-insert "  [\"texte-courbe\",<courbe_no>1,7,\"$x^2$\",\"ulft\",\"bleu\"] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "  <_ux,uy_:_1cm_correspond_a_ux_ou_uy_selon_l_axe> ~ ")
	  (insert-return)
	  (professor-insert "  <_cx,cy_:_ecart_entre_deux_graduations> ~ ")
	  (insert-return)
	  (professor-insert "  <_gx,gy_;_ecart_entre_deux_lignes_du_quadrillage> ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-courbesemilog} ~ "))

  )

)
