
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : pro-graphes-menu.scm
;; DESCRIPTION : pro-graphes menu
;; BY	       : Emmanuel Corcelle (corcelle at gmail dot com) 
;;               and Bertrand Bratschi
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; BASED ON    : giac-menus.scm
;; COPYRIGHT   : (C) 1999  Bernard Parisse and Joris van der Hoeven
;;
;; This software falls under the GNU general public license version 3 or later.
;; It comes WITHOUT ANY WARRANTY WHATSOEVER. For details, see the file LICENSE
;; in the root directory or <http://www.gnu.org/licenses/gpl-3.0.html>.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(texmacs-module (pro-graphes-menu))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Insert professor primitive
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (professor-cursor-pos l)
  (cond ((null? l) 0)
	((null? (cdr l)) 1)
	((and (== (car l) #\() (== (cadr l) #\))) 1)
	((and (== (car l) #\() (== (cadr l) #\,)) 1)
	((and (== (car l) #\,) (== (cadr l) #\))) 1)
	((and (== (car l) #\,) (== (cadr l) #\,)) 1)
	(else (+ (professor-cursor-pos (cdr l)) 1))))

(define (professor-insert s)
  (insert-go-to s (list (professor-cursor-pos (string->list s)))))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; pro-gaphes menu
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(menu-bind pro-graphes-menu

  (->"Graphes"

	("Graphe probabiliste" 
	  (professor-insert "\\\\begin{pro-grapheproba}{1} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"$@dfrac{1}{4}$\",\"$@dfrac{3}{4}$\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"$@dfrac{7}{9}$\",\"$@dfrac{2}{9}$\"] ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe probabiliste\"] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-grapheproba} ~ "))

	("Matrice associee" 
	  (professor-insert "\\\\begin{pro-tableg}{1} ~ ")
	  (insert-return)
	  (professor-insert "\"M\", ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [1,2,3], ~ ")
	  (insert-return)
	  (professor-insert " [4,5,6], ~ ")
	  (insert-return)
	  (professor-insert " [7,8,9] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-tableg}"))

	("Matrice associee elevee a la puissance n" 
	  (professor-insert "\\\\begin{pro-tablegp}{1} ~ ")
	  (insert-return)
	  (professor-insert "\"M\", ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [1,2,3], ~ ")
	  (insert-return)
	  (professor-insert " [4,5,6], ~ ")
	  (insert-return)
	  (professor-insert " [7,8,9] ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "3 ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-tablegp}"))

	---
	("Graphe non oriente et non pondere" 
	  (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe non orient@'e, non pond@'er@'e\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))

	("Graphe oriente, non pondere" 
	  (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [2,1,0,2,0,3], ~ ")
	  (insert-return)
	  (professor-insert " [0,0,0,3,1,0], ~ ")
	  (insert-return)
	  (professor-insert " [0,5,0,0,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,0,7,0], ~ ")
	  (insert-return)
	  (professor-insert " [6,1,0,3,1,0], ~ ")
	  (insert-return)
	  (professor-insert " [4,0,0,2,0,0] ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe orient@'e, non pond@'er@'e\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"type-graphe\",[\"oriente\"]], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]], ~ ")
	  (insert-return)
	  (professor-insert " // [\"position-noeuds\",[[-1,2],[4,3],[4,-2],[0,-3],[-3,-1],[2,0]]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))

	("Graphe oriente pondere" 
	  (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [2,1,0,2,0,3], ~ ")
	  (insert-return)
	  (professor-insert " [0,0,0,3,1,0], ~ ")
	  (insert-return)
	  (professor-insert " [0,5,0,0,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,0,7,0], ~ ")
	  (insert-return)
	  (professor-insert " [6,1,0,3,1,0], ~ ")
	  (insert-return)
	  (professor-insert " [4,0,0,2,0,0] ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe orient@'e, non pond@'er@'e\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"type-graphe\",[\"oriente\",\"pondere\"]], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]], ~ ")
	  (insert-return)
	  (professor-insert " // [\"position-noeuds\",[[-1,2],[4,3],[4,-2],[0,-3],[-3,-1],[2,0]]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))
        
          ---

	(->"Quelques graphes particuliers"
	(->"Graphes complets Kn"
		("n=3" 
		 (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe complet avec 3 sommets\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))

		("n=4" 
		 (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,1,0,1], ~ ")
	  (insert-return)
           (professor-insert " [1,1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe complet avec 4 sommets\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))
                
          	("n=5" 
		 (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,1,0,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe complet avec 5 sommets\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))   
                
          	("n=6" 
		 (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,1,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,1,0,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,0,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe complet avec 6 sommets\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))
                
          ("n=7" 
		 (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\",\"G\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,1,1,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,1,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,1,0,1,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,0,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,0,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe complet avec 7 sommets\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))
          
          ("n=8" 
		 (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\",\"G\",\"H\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,1,1,1,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,1,1,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,1,0,1,1,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,0,1,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,0,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,0,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe complet avec 8 sommets\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}")) 
          
          ("n=9" 
		 (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\",\"G\",\"H\",\"I\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,1,1,1,1,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,1,1,1,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,1,0,1,1,1,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,0,1,1,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,0,1,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,0,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,1,0,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,1,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,1,1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe complet avec 9 sommets\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))
          
          ("n=10" 
		 (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\",\"G\",\"H\",\"I\",\"J\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,1,1,1,1,1,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,1,1,1,1,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,1,0,1,1,1,1,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,0,1,1,1,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,0,1,1,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,0,1,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,1,0,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,1,1,0,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,1,1,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,1,1,1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe complet avec 10 sommets\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}")) 
                         
         )

        (->"Graphes cycliques Cn"
            ("n=3" 
		 (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe cyclique C3\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))

		("n=4" 
		 (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,0], ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,1], ~ ")
	  (insert-return)
           (professor-insert " [1,0,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe cyclique C4\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))
                
          	("n=5" 
		 (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,0,0], ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,1,0], ~ ")
	  (insert-return)
          (professor-insert " [0,0,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [1,0,0,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe cyclique C5\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))   
                
          	("n=6" 
		 (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,0,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,0,0,0], ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,1,0,0], ~ ")
	  (insert-return)
          (professor-insert " [0,0,1,0,1,0], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [1,0,0,0,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe cyclique C6\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))
        ) 
        
        (->"Roue Wn"
             
          	("n=5" 
	  (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,0,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe de la roue W5 de centre E\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
          (professor-insert "[\"position-noeuds\",[[2.8,0],[2.8*cos(2*pi/4),2.8*sin(2*pi/4)],[2.8*cos(4*pi/4),2.8*sin(4*pi/4)],
                                                        [2.8*cos(6*pi/4),2.8*sin(6*pi/4)],[0,0]]] ~")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))  
       

 	("n=7" 
	  (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\",\"G\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,0,0,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,0,0,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,1,0,0,1], ~ ")
	  (insert-return)
          (professor-insert " [0,0,1,0,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,1,0,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,0,0,0,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe de la roue W7 de centre G\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
          (professor-insert "[\"position-noeuds\",[[2.8,0],[2.8*cos(2*pi/6),2.8*sin(2*pi/6)],~ ")
          (insert-return)
          (professor-insert "[2.8*cos(4*pi/6),2.8*sin(4*pi/6)],[2.8*cos(6*pi/6),2.8*sin(6*pi/6)],~ ")
          (insert-return)
          (professor-insert "[2.8*cos(8*pi/6),2.8*sin(8*pi/6)],[2.8*cos(10*pi/6),2.8*sin(10*pi/6)],[0,0]]] ~")
          (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))  
         )
        
        (->"Etoiles Sn"
             
          	("n=5" 
	  (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,0,0,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [0,0,0,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [0,0,0,0,1], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,0,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe de l'etoile S5 de centre E\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
          (professor-insert "[\"position-noeuds\",[[2.8,0],[2.8*cos(2*pi/4),2.8*sin(2*pi/4)],[2.8*cos(4*pi/4),2.8*sin(4*pi/4)],
                                                        [2.8*cos(6*pi/4),2.8*sin(6*pi/4)],[0,0]]] ~")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))  
       

 	("n=7" 
	  (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\",\"G\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,0,0,0,0,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [0,0,0,0,0,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [0,0,0,0,0,0,1], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,0,0,0,1], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,0,0,0,1], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,0,0,0,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,1,1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe de l'etoile S7 de centre G\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
          (professor-insert "[\"position-noeuds\",[[2.8,0],[2.8*cos(2*pi/6),2.8*sin(2*pi/6)],~ ")
          (insert-return)
          (professor-insert "[2.8*cos(4*pi/6),2.8*sin(4*pi/6)],[2.8*cos(6*pi/6),2.8*sin(6*pi/6)],~ ")
          (insert-return)
          (professor-insert "[2.8*cos(8*pi/6),2.8*sin(8*pi/6)],[2.8*cos(10*pi/6),2.8*sin(10*pi/6)],[0,0]]] ~")
          (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))  
         )
        
        (->"Graphes bipartis Kn,m"
                ("n=2 m=3"
          (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,0,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [0,0,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,1,0,0,0], ~ ")
	  (insert-return)
          (professor-insert " [1,1,0,0,0], ~ ")
	  (insert-return)
          (professor-insert " [1,1,0,0,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe biparti ensembles {A,B} et {C,D,E}\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))   
                
		("n=3 m=3" 
          (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,0,0,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [0,0,0,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [0,0,0,1,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,0,0,0], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,0,0,0], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,0,0,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe non orient@'e, non pond@'er@'e\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}"))   
                
                )
        
        (->"Arbres"
           ("exemple 1" 
	  (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\",\"G\",\"H\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,1,0,0,0,0,0], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,0,1,1,1,0,0], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,0,0,0,0,1,1], ~ ")
	  (insert-return)
          (professor-insert " [0,1,0,0,0,0,0,0], ~ ")
	  (insert-return)
          (professor-insert " [0,1,0,0,0,0,0,0], ~ ")
	  (insert-return)
          (professor-insert " [0,1,0,0,0,0,0,0], ~ ")
	  (insert-return)
          (professor-insert " [0,0,1,0,0,0,0,0], ~ ")
	  (insert-return)
          (professor-insert " [0,0,1,0,0,0,0,0] ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Arbre 1\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]]~ ")
	  (insert-return)
          (professor-insert "[\"position-noeuds\",[[-3,2.7],[-1,3.7],[-1,1.7],[2,4.7],[2,3.7],[2,2.7],[1.3,1.9],[1.3,0.8]]] ~")
          (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}")) 
           
           )
         
         
 (->"Polyedres de Platon"

 ("Tetraedre" 
	  (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe du tetraedre regulier\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]]~ ")
	  (insert-return)
          (professor-insert "[\"position-noeuds\",[[0,2*sqrt(3)],[2,0],[-2,0],[0,1.2]]] ~")
          (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}")) 

 ("Cube" 
	  (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\",\"G\",\"H\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,1,1,0,0,0], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,0,0,1,0,0], ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,1,0,0,1,0], ~ ")
	  (insert-return)
          (professor-insert " [1,0,1,0,0,0,0,1], ~ ")
	  (insert-return)
          (professor-insert " [1,0,0,0,0,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [0,1,0,0,1,0,1,0], ~ ")
	  (insert-return)
          (professor-insert " [0,0,1,0,0,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,1,1,0,1,0] ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe du cube\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]]~ ")
	  (insert-return)
          (professor-insert "[\"position-noeuds\",[[1,1],[-1,1],[-1,-1],[1,-1],[2,2],[-2,2],[-2,-2],[2,-2]]] ~")
          (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}")) 

("Octaedre" 
	  (professor-insert "\\\\begin{pro-graphedessin}{5} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,1,1,1,0], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,0,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,1,0,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [1,0,1,0,1,1], ~ ")
	  (insert-return)
          (professor-insert " [1,1,0,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [0,1,1,1,1,0], ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Graphe de l'octaedre regulier\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]]~ ")
	  (insert-return)
          (professor-insert "[\"position-noeuds\",[[0,4.7],[2.9,0],[-2.9,0],[-0.75,2.1],[0.75,2.1],[0,1]]] ~")
          (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-graphedessin}")) 

          
             
          	("Dodecaedre" 

(professor-insert "\\\\begin{pro-tableg}{1} ~ ")
	  (insert-return)
	  (professor-insert "\"M\", ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0], ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0], ~ ")
	  (insert-return)
          (professor-insert " [0,0,1,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0], ~ ")
	  (insert-return)
          (professor-insert " [1,0,0,1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0], ~ ")
	  (insert-return)
          (professor-insert " [1,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,0,0], ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0], ~ ")
	  (insert-return)
	  (professor-insert " [0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0], ~ ")
	  (insert-return)
	  (professor-insert " [0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,1,0,0,0], ~ ")
	  (insert-return)
	  (professor-insert " [0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,1,0,0], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,1,0], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,1], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,1,0,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,1,0,0], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,1,0], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,1], ~ ")
	  (insert-return)
          (professor-insert " [0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,1,0] ~ ")
	  (insert-return)
	  (professor-insert "], <___________fin_matrice___________> ~ ")
	  (insert-return)
          (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Matrice d'adjacence du dod@'ecaèdre r@'egulier\"], ~ ")
	  (insert-return)
	  (professor-insert " // [\"graphe-colorie\",[\"rouge\",\"jaune\",\"rouge\",\"bleu\"]] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (professor-insert "\\\\end{pro-tableg}"))
 
         )

         )
	---
	("Tableau des degres des sommets ainsi que l application des theoremes d Euler" 
	  (professor-insert "\\\\begin{pro-greuler}{1} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,0,1,1], ~ ")
	  (insert-return)
	  (professor-insert " [0,1,0,1], ~ ")
	  (insert-return)
	  (professor-insert " [1,1,1,0] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-greuler}"))

	("Tableau correspondant a l application de l algorithme de Dijkstra." 
	  (professor-insert "\\\\begin{pro-dijkstra}{1} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",\"B\",\"C\",\"D\",\"E\",\"G\",\"F\"], ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "[0,5,7,0,0,0,0], ~ ")
	  (insert-return)
	  (professor-insert "[5,0,0,8,15,6,0], ~ ")
	  (insert-return)
	  (professor-insert "[7,0,0,10,15,0,0], ~ ")
	  (insert-return)
	  (professor-insert "[0,8,10,0,0,10,20], ~ ")
	  (insert-return)
	  (professor-insert "[0,15,15,0,0,0,5], ~ ")
	  (insert-return)
	  (professor-insert "[0,6,0,10,0,0,0], ~ ")
	  (insert-return)
	  (professor-insert "[0,0,0,20,5,0,0] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_matrice___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-dijkstra}"))

  )

)
