
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : pro-probas-menu.scm
;; DESCRIPTION : pro-probas menu
;; COPYRIGHT   : Emmanuel Corcelle (corcelle at gmail dot com)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; BASED ON    : giac-menus.scm
;; COPYRIGHT   : (C) 1999  Bernard Parisse and Joris van der Hoeven
;;
;; This software falls under the GNU general public license version 3 or later.
;; It comes WITHOUT ANY WARRANTY WHATSOEVER. For details, see the file LICENSE
;; in the root directory or <http://www.gnu.org/licenses/gpl-3.0.html>.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(texmacs-module (pro-probas-menus))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Insert professor primitive
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (professor-cursor-pos l)
  (cond ((null? l) 0)
	((null? (cdr l)) 1)
	((and (== (car l) #\() (== (cadr l) #\))) 1)
	((and (== (car l) #\() (== (cadr l) #\,)) 1)
	((and (== (car l) #\,) (== (cadr l) #\))) 1)
	((and (== (car l) #\,) (== (cadr l) #\,)) 1)
	(else (+ (professor-cursor-pos (cdr l)) 1))))

(define (professor-insert s)
  (insert-go-to s (list (professor-cursor-pos (string->list s)))))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; pro-probas menu
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(menu-bind pro-probas-menu

  (->"Probabilites"

	("Construire un arbre 2x2" 
	  (professor-insert "\\\\begin{pro-arbre22}{1} ~ ")
	  (insert-return)
	  (professor-insert "[\"G\",1/5,\"F\"], ~ ")
	  (insert-return)
	  (professor-insert "[\"H\",1/2,1/3], ~ ")
	  (insert-return)
	  (professor-insert "[")
	  (insert-return)
	  (professor-insert "[\"titre-gauche\",\"Arbre de probabilit@'e 2x2\"]")
	  (insert-return)
	  (professor-insert "] ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-arbre22}"))

	("Analyser un arbre 2x2" 
	  (professor-insert "\\\\begin{pro-ana22}{1} ~ ")
	  (insert-return)
	  (professor-insert "[\"G\",1/5,\"F\"], ~ ")
	  (insert-return)
	  (professor-insert "[\"H\",1/2,1/3] ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-ana22}"))

	---
	("Construire un arbre 3x2" 
	  (professor-insert "\\\\begin{pro-arbre32}{1} ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",1/5,\"B\",1/3,\"C\"], ~ ")
	  (insert-return)
	  (professor-insert "[\"H\",1/2,1/4,1/5], ~ ")
	  (insert-return)
	  (professor-insert "[ ~ ")
	  (insert-return)
	  (professor-insert "[\"titre-gauche\",\"Arbre de probabilit@'e 3x2\"] ~ ")
	  (insert-return)
	  (professor-insert "] ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-arbre32}"))

	("Analyser un arbre 3x2" 
	  (professor-insert "\\\\begin{pro-ana32}{1}")
	  (insert-return)
	  (professor-insert " ~ [\"A\",1/5,\"B\",1/3,\"C\"], ~ ")
	  (insert-return)
	  (professor-insert "[\"H\",1/2,1/4,1/5] ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-ana32}"))

	---
	("Construire un arbre 2x3" 
	  (professor-insert "\\\\begin{pro-arbre23}{1} ~ ")
	  (insert-return)
	  (professor-insert "[\"G\",1/5,\"F\"], ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",1/5,1/2,\"B\",1/3,1/3,\"C\"], ~ ")
	  (insert-return)
	  (professor-insert "[")
	  (insert-return)
	  (professor-insert "[\"titre-gauche\",\"Arbre de probabilit@'e 2x3\"]")
	  (insert-return)
	  (professor-insert "] ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-arbre23}"))

	("Analyser un arbre 2x3" 
	  (professor-insert "\\\\begin{pro-ana23}{1} ~ ")
	  (insert-return)
	  (professor-insert "[\"G\",1/5,\"F\"], ~ ")
	  (insert-return)
	  (professor-insert "[\"A\",1/5,1/2,\"B\",1/3,1/3,\"C\"] ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-ana23}"))

	---
	(->"Construire un schema de Bernoulli"
		("de niveau 2" 
		  (professor-insert "\\\\begin{pro-bernoulli}{1} ~ ")
		  (insert-return)
	  	  (professor-insert "[\"S\",1/5,\"E\"], ~ ")
		  (insert-return)
	  	  (professor-insert "2, ~ ")
		  (insert-return)
	  	  (professor-insert "[")
		  (insert-return)
	  	  (professor-insert "[\"titre-gauche\",\"Sch@'ema de Bernoulli (2 niveaux)\"]")
		  (insert-return)
	  	  (professor-insert "] ~ ")
		  (insert-return)
	  	  (professor-insert "\\\\end{pro-bernoulli}"))

		("de niveau 3" 
		  (professor-insert "\\\\begin{pro-bernoulli}{1} ~ ")
		  (insert-return)
	  	  (professor-insert "[\"S\",1/5,\"E\"], ~ ")
		  (insert-return)
	  	  (professor-insert "3, ~ ")
		  (insert-return)
	  	  (professor-insert "[")
		  (insert-return)
	  	  (professor-insert "[\"titre-gauche\",\"Sch@'ema de Bernoulli (3 niveaux)\"]")
		  (insert-return)
	  	  (professor-insert "] ~ ")
		  (insert-return)
	  	  (professor-insert "\\\\end{pro-bernoulli}"))

		("de niveau 4" 
		  (professor-insert "\\\\begin{pro-bernoulli}{1} ~ ")
		  (insert-return)
	  	  (professor-insert "[\"S\",1/5,\"E\"], ~ ")
		  (insert-return)
	  	  (professor-insert "4, ~ ")
		  (insert-return)
	  	  (professor-insert "[")
		  (insert-return)
	  	  (professor-insert "[\"titre-gauche\",\"Sch@'ema de Bernoulli (4 niveaux)\"]")
		  (insert-return)
	  	  (professor-insert "] ~ ")
		  (insert-return)
	  	  (professor-insert "\\\\end{pro-bernoulli}"))
	)

	(->"Analyser un schema de Bernoulli"
		("de niveau 2" 
		  (professor-insert "\\\\begin{pro-anabernoulli}{1} ~ ")
		  (insert-return)
	  	  (professor-insert "[\"S\",1/5,\"E\"], ~ ")
		  (insert-return)
	  	  (professor-insert "2 ~ ")
		  (insert-return)
	  	  (professor-insert "\\\\end{pro-anabernoulli}"))

		("de niveau 3" 
		  (professor-insert "\\\\begin{pro-anabernoulli}{1} ~ ")
		  (insert-return)
	  	  (professor-insert "[\"S\",1/5,\"E\"], ~ ")
		  (insert-return)
	  	  (professor-insert "3 ~ ")
		  (insert-return)
	  	  (professor-insert "\\\\end{pro-anabernoulli}"))

		("de niveau 4" 
		  (professor-insert "\\\\begin{pro-anabernoulli}{1} ~ ")
		  (insert-return)
	  	  (professor-insert "[\"S\",1/5,\"E\"], ~ ")
		  (insert-return)
	  	  (professor-insert "4 ~ ")
		  (insert-return)
	  	  (professor-insert "\\\\end{pro-anabernoulli}"))
	)

  )

)
