
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : pro-statdiv-menu.scm
;; DESCRIPTION : pro-statdiv menu
;; COPYRIGHT   : Emmanuel Corcelle (corcelle at gmail dot com)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; BASED ON    : giac-menus.scm
;; COPYRIGHT   : (C) 1999  Bernard Parisse and Joris van der Hoeven
;;
;; This software falls under the GNU general public license version 3 or later.
;; It comes WITHOUT ANY WARRANTY WHATSOEVER. For details, see the file LICENSE
;; in the root directory or <http://www.gnu.org/licenses/gpl-3.0.html>.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(texmacs-module (pro-statdiv-menu))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Insert professor primitive
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (professor-cursor-pos l)
  (cond ((null? l) 0)
	((null? (cdr l)) 1)
	((and (== (car l) #\() (== (cadr l) #\))) 1)
	((and (== (car l) #\() (== (cadr l) #\,)) 1)
	((and (== (car l) #\,) (== (cadr l) #\))) 1)
	((and (== (car l) #\,) (== (cadr l) #\,)) 1)
	(else (+ (professor-cursor-pos (cdr l)) 1))))

(define (professor-insert s)
  (insert-go-to s (list (professor-cursor-pos (string->list s)))))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; pro-statdiv menu
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(menu-bind pro-statdiv-menu

  (->"Statistiques - Divers"

	("Tableau" 
	  (professor-insert "\\\\begin{pro-tablel}{1} ~ ")
	  (insert-return)
	  (professor-insert "\"Animaux\",        <Titre_T> ~ ")
	  (insert-return)
	  (professor-insert "[\"Chien\",\"Chat\",\"Lapin\",\"Tortue\",\"Poisson\",\"Oiseau\"], <Labels_XX> ~ ")
	  (insert-return)
	  (professor-insert "[2,10,12,3,10,7]  <Effectifs_E> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-tablel} ~ "))

	("Diagramme en batons pour des categories" 
	  (professor-insert "\\\\begin{pro-batonslabel}{1} ~ ")
	  (insert-return)
	  (professor-insert "[\"Chien\",\"Chat\",\"Lapin\",\"Tortue\",\"Poisson\",\"Oiseau\"], <Labels_X> ~ ")
	  (insert-return)
	  (professor-insert "[2,10,12,3,10,7],  <Effectifs_E> ~ ")
	  (insert-return)
	  (professor-insert "0,15,              <ymin,ymax> ~ ")
	  (insert-return)
	  (professor-insert "2,2,               <ux_cm_par_categorie,1cm=uy> ~ ")
	  (insert-return)
	  (professor-insert "5,                 <ecart\\\\_legende\\\\_y> ~ ")
	  (insert-return)
	  (professor-insert "2,                 <ecart\\\\_grille\\\\_y> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-droite\",\"Diagramme en b@^atons\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"texte-ordonnees\",\"Effectifs\"] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-batonslabel} ~ "))
	---
	("Tableau associe a un diagramme circulaire" 
	  (professor-insert "\\\\begin{pro-tablecam}{1} ~ ")
	  (insert-return)
	  (professor-insert "\"Animaux\",        <Titre_T> ~ ")
	  (insert-return)
	  (professor-insert "[\"Chien\",\"Chat\",\"Lapin\",\"Tortue\",\"Poisson\",\"Oiseau\"], <Labels_X> ~ ")
	  (insert-return)
	  (professor-insert "[2,10,12,3,10,7]  <Effectifs_E> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-tablecam} ~ "))

	("Diagramme circulaire" 
	  (professor-insert "\\\\begin{pro-camembert}{1} ~ ")
	  (insert-return)
	  (professor-insert "[\"Chien\",\"Chat\",\"Lapin\",\"Tortue\",\"Poisson\",\"Oiseau\"], <Labels_X> ~ ")
	  (insert-return)
	  (professor-insert "[2,10,12,3,10,7],  <Effectifs_E> ~ ")
	  (insert-return)
	  (professor-insert "4,                 <rayon> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Diagramme circulaire\"] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-camembert} ~ "))

	---
	("Tableau associe a un diagramme semi-circulaire" 
	  (professor-insert "\\\\begin{pro-tablemicam}{1} ~ ")
	  (insert-return)
	  (professor-insert " \"Animaux\",        <Titre_T> ~ ")
	  (insert-return)
	  (professor-insert " [\"Chien\",\"Chat\",\"Lapin\",\"Tortue\",\"Poisson\",\"Oiseau\"], <Labels_X> ~ ")
	  (insert-return)
	  (professor-insert " [2,10,12,3,10,7]  <Effectifs_E> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-tablemicam} ~ "))

	("Diagramme semi-circulaire" 
	  (professor-insert "\\\\begin{pro-micamembert}{1} ~ ")
	  (insert-return)
	  (professor-insert "[\"Chien\",\"Chat\",\"Lapin\",\"Tortue\",\"Poisson\",\"Oiseau\"], <Labels_X> ~ ")
	  (insert-return)
	  (professor-insert "[2,10,12,3,10,7],  <Effectifs_E> ~ ")
	  (insert-return)
	  (professor-insert "4,                 <rayon> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-gauche\",\"Diagramme semi-circulaire\"] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-micamembert} ~ "))

	---
	("Tableau associe a la construction dun histogramme" 
	  (professor-insert "\\\\begin{pro-tablehisto}{1} ~ ")
	  (insert-return)
	  (professor-insert " [20,80,120,180,280,400,600], <Bornes_X> ~ ")
	  (insert-return)
	  (professor-insert " [120,200,675,875,300,125]    <Effectifs_E> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-tablehisto} ~ "))

	("Histogramme (avec axe des densites)" 
	  (professor-insert "\\\\begin{pro-histogramme}{1} ~ ")
	  (insert-return)
	  (professor-insert "[20,80,120,180,280,400,600], <Bornes_X> ~ ")
	  (insert-return)
	  (professor-insert "[120,200,675,875,300,125],   <Effectifs_E> ~ ")
	  (insert-return)
	  (professor-insert "0,600,                       <xmin,xmax> ~ ")
	  (insert-return)
	  (professor-insert "10,                          <hauteur_en_cm> ~ ")
	  (insert-return)
	  (professor-insert "50,                          <1cm=ux> ~ ")
	  (insert-return)
	  (professor-insert "100,2,             <ecart\\\\_legende\\\\_x,ecart\\\\_legende\\\\_y> ~ ")
	  (insert-return)
	  (professor-insert "20,1,              <ecart\\\\_grille\\\\_x,ecart\\\\_grille\\\\_y> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-droite\",\"Histogramme\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"texte-ordonnees\",\"densit@'es\"] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-histogramme} ~ "))

	("Histogramme (avec rectangle des aires)" 
	  (professor-insert "\\\\begin{pro-histogramme}{1} ~ ")
	  (insert-return)
	  (professor-insert "[20,80,120,180,280,400,600], <Bornes_X> ~ ")
	  (insert-return)
	  (professor-insert "[120,200,675,875,300,125],   <Effectifs_E> ~ ")
	  (insert-return)
	  (professor-insert "0,600,                       <xmin,xmax> ~ ")
	  (insert-return)
	  (professor-insert "10,                          <hauteur_en_cm> ~ ")
	  (insert-return)
	  (professor-insert "50,                          <1cm=ux> ~ ")
	  (insert-return)
	  (professor-insert "100,2,             <ecart\\\\_legende\\\\_x,ecart\\\\_legende\\\\_y> ~ ")
	  (insert-return)
	  (professor-insert "20,1,              <ecart\\\\_grille\\\\_x,ecart\\\\_grille\\\\_y> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-droite\",\"Histogramme\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"legende\",400,500,8,10] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-histogramme} ~ "))

	  ---
	("Diagramme des temperatures" 
	  (professor-insert "\\\\begin{pro-temperatures}{1} ~ ")
	  (insert-return)
	  (professor-insert "[13,15,17,20,23,25,28,28,22,20,18,15], <Effectifs_E> ~ ")
	  (insert-return)
	  (professor-insert "10,30,   <ymin,ymax> ~ ")
	  (insert-return)
	  (professor-insert "1,2,     <ux_cm_par_categorie,1cm=uy> ~ ")
	  (insert-return)
	  (professor-insert "5,       <ecart\\\\_legende\\\\_y> ~ ")
	  (insert-return)
	  (professor-insert "2,       <ecart\\\\_grille\\\\_y> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert " [\"titre-droite\",\"Diagramme des temp@'eratures\"], ~ ")
	  (insert-return)
	  (professor-insert " [\"texte-ordonnees\",\"Temp@'eratures en degr@'es\"] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-temperatures} ~ "))

  )

)
