
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : pro-suites-menu.scm
;; DESCRIPTION : pro-suites menu
;; COPYRIGHT   : Emmanuel Corcelle (corcelle at gmail dot com)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; BASED ON    : giac-menus.scm
;; COPYRIGHT   : (C) 1999  Bernard Parisse and Joris van der Hoeven
;;
;; This software falls under the GNU general public license version 3 or later.
;; It comes WITHOUT ANY WARRANTY WHATSOEVER. For details, see the file LICENSE
;; in the root directory or <http://www.gnu.org/licenses/gpl-3.0.html>.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(texmacs-module (pro-suites-menu))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Insert professor primitive
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (professor-cursor-pos l)
  (cond ((null? l) 0)
	((null? (cdr l)) 1)
	((and (== (car l) #\() (== (cadr l) #\))) 1)
	((and (== (car l) #\() (== (cadr l) #\,)) 1)
	((and (== (car l) #\,) (== (cadr l) #\))) 1)
	((and (== (car l) #\,) (== (cadr l) #\,)) 1)
	(else (+ (professor-cursor-pos (cdr l)) 1))))

(define (professor-insert s)
  (insert-go-to s (list (professor-cursor-pos (string->list s)))))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; pro- menu
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(menu-bind pro-suites-menu

  (->"Suites"

	("Termes dune suite definie par recurrence" 
	  (professor-insert "\\\\begin{pro-suiterec}{1} ~ ")
	  (insert-return)
	  (professor-insert "[\"u\",1,1],            <nom,indice_debut,valeur_debut> ~ ")
	  (insert-return)
	  (professor-insert "[3,\"rouge\",\"cache\"],  <nb_termes,couleur,optionnel(noms_caches)> ~ ")
	  (insert-return)
	  (professor-insert "[0.25x+3,\"bleu\"],     <expression,couleur,opt(intervalle,bornes)> ~ ")
	  (insert-return)
	  (professor-insert "-1,5,-1,5,        <xmin,xmax,ymin,ymax> ~ ")
	  (insert-return)
	  (professor-insert "0.5,0.5,1,1,0.5,0.5,  <ux,uy,cx,cy,gx,gy> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "[\"texte-courbe\",-0.5,\"$({@cal C}_f)$\",\"ulft\",\"bleu\"], ~ ")
	  (insert-return)
	  (professor-insert "[\"titre-droite\",\"$({@cal C}_f) : y=0,25x+3$\"], ~ ")
	  (insert-return)
	  (professor-insert "[\"point-courbe\",4,\"$A$\",\"top\",\"noir\"], ~ ")
	  (insert-return)
	  (professor-insert "[\"titre-gauche\",\"$u_{n+1}=f(u_n)$ avec $u_1=1$\"] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-suiterec}"))


	("Termes dune suite definie par son terme general" 
	  (professor-insert "\\\\begin{pro-suitefn}{2} ~ ")
	  (insert-return)
	  (professor-insert "[\"v\",1],               <nom,indice_debut> ~ ")
	  (insert-return)
	  (professor-insert "[9,\"rouge\",\"cache\"],   <nb_termes,couleur,optionnel(noms_caches)> ~ ")
	  (insert-return)
	  (professor-insert "[sin(x)/x,\"bleu\"],     <expression,couleur,opt(intervalle,bornes)> ~ ")
	  (insert-return)
	  (professor-insert "-1,10,-0.5,1.5,        <xmin,xmax,ymin,ymax> ~ ")
	  (insert-return)
	  (professor-insert "1,0.25,1,0.5,0.5,0.25, <ux,uy,cx,cy,gx,gy> ~ ")
	  (insert-return)
	  (professor-insert "[ <___________debut_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "[\"texte-courbe\",8,\"$({@cal C}_f)$\",\"urt\",\"bleu\"], ~ ")
	  (insert-return)
	  (professor-insert "[\"titre-droite\",\"$({@cal C}_f) : y=@dfrac{@sin x}{x}$\"], ~ ")
	  (insert-return)
	  (professor-insert "[\"titre-gauche\",\"$v_n=f(n)$ @`a partir de $n=1$\"] ~ ")
	  (insert-return)
	  (professor-insert "] <___________fin_des_options___________> ~ ")
	  (insert-return)
	  (professor-insert "\\\\end{pro-suitefn}"))

  )

)
