
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : professor-menus.scm
;; DESCRIPTION : professor menus
;; COPYRIGHT   : Emmanuel Corcelle (corcelle at gmail dot com)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; BASED ON    : giac-menus.scm
;; COPYRIGHT   : (C) 1999  Bernard Parisse and Joris van der Hoeven
;;
;; This software falls under the GNU general public license version 3 or later.
;; It comes WITHOUT ANY WARRANTY WHATSOEVER. For details, see the file LICENSE
;; in the root directory or <http://www.gnu.org/licenses/gpl-3.0.html>.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(texmacs-module (professor-menus))

(lazy-menu (pro-tablor-menu) pro-tablor-menu)
(lazy-menu (pro-geometrie-menu) pro-geometrie-menu)
(lazy-menu (pro-statdiv-menu) pro-statdiv-menu)
(lazy-menu (pro-graphes-menu) pro-graphes-menu)
(lazy-menu (pro-probas-menu) pro-probas-menu)
(lazy-menu (pro-courbes-menu) pro-courbes-menu)
(lazy-menu (pro-suites-menu) pro-suites-menu)
(lazy-menu (pro-glineor-menu) pro-glineor-menu)
(lazy-menu (pro-1varstat-menu) pro-1varstat-menu)
(lazy-menu (pro-2varstat-menu) pro-2varstat-menu)
(lazy-menu (pro-mat-menu) pro-mat-menu)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Insert professor primitive
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (professor-cursor-pos l)
  (cond ((null? l) 0)
	((null? (cdr l)) 1)
	((and (== (car l) #\() (== (cadr l) #\))) 1)
	((and (== (car l) #\() (== (cadr l) #\,)) 1)
	((and (== (car l) #\,) (== (cadr l) #\))) 1)
	((and (== (car l) #\,) (== (cadr l) #\,)) 1)
	(else (+ (professor-cursor-pos (cdr l)) 1))))

(define (professor-insert s)
  (insert-go-to s (list (professor-cursor-pos (string->list s)))))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; professor menu
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(menu-bind professor-functions-menu
  (if (not-in-session?)
      (link scripts-eval-menu)
      ---)

  (link pro-tablor-menu)
  (link pro-courbes-menu) 
  (link pro-glineor-menu) 
  (link pro-suites-menu) 

  ---
  (link pro-1varstat-menu) 
  (link pro-2varstat-menu) 
  (link pro-statdiv-menu) 

  ---
  (link pro-graphes-menu) 
  (link pro-probas-menu)

  ---
  (link pro-geometrie-menu)
  ---

  (link pro-mat-menu)
)

(menu-bind plugin-menu
  (:require (or (in-professor?) (and (not-in-session?) (professor-scripts?))))
  (=> "Professor" (link professor-functions-menu)))
